cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'fetch("https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));import requests
url = "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings"
body := map[string]string{
"example": "value",
}
jsonData, _ := json.Marshal(body)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"resourceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"resourceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"resourceId": "<string>"
}{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}{
"code": "unauthorized",
"message": "Authentication required"
}{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}{
"code": "not_found",
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}core.v1.ResourceService
Delete resource OAuth settings
Disable OAuth for a resource. Every pending link, every user’s stored grant, and every OAuth client’s authorization for the resource is deleted. Native users and the native user selection are left as they are, so clear a selection of a linked-account native user first.
POST
/
core.v1.ResourceService
/
DeleteResourceOAuthSettings
cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'fetch("https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));import requests
url = "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings"
body := map[string]string{
"example": "value",
}
jsonData, _ := json.Marshal(body)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"resourceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.joinformal.com/core.v1.ResourceService/DeleteResourceOAuthSettings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"resourceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"resourceId": "<string>"
}{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}{
"code": "unauthorized",
"message": "Authentication required"
}{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}{
"code": "not_found",
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}Was this page helpful?